S3 Create Bucket
  • 31 May 2023
  • Dark
    Light

S3 Create Bucket

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>

Creates a new bucket. 

The bucket name must be globally unique. For restrictions on bucket names such as minimum and maximum length see Bucket Names. 

You can optionally specify a canned ACL of private (the default) or public-read via the x-amz-acl header.

Backblaze B2 buckets use SSE-B2 with AES256 as their effective default encryption configuration. No encryption header or follow-up PutBucketEncryption request is required. Creating a bucket with the default does not require a separate encryption-management permission.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PATH VARIABLES

bucket

Required. The name of the bucket to create.

Body raw (xml)

XML

<CreateBucketConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <LocationConstraint><your-region></LocationConstraint>
</CreateBucketConfiguration>

Example Request

Shell

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name' \
--header 'x-amz-acl: private' \
--data '<CreateBucketConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <LocationConstraint><your-region></LocationConstraint>
</CreateBucketConfiguration>'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (9)

x-amz-request-id

699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Location

/my-bucket-name

Cache-Control

max-age=0, no-cache, no-store

Content-Type


Content-Length

0

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?